all: ensure_env build sync clean export_dataset export_stats merge_images export_statistics export_mentions

ensure_env:
	-@python3 -m venv venv

build:
	./venv/bin/python -m pip install build 
	./venv/bin/python -m build .
	./venv/bin/python -m pip install -e .

sync:
	./venv/bin/dr.sync

clean:
	-@rm -r export
	mkdir -p export 

export_stats:
	@echo "Make sure you have ran 'make sync' first. Results will be in ./export/"
	@echo "Exporting statistics."
	./venv/bin/dr.stats

export_dataset:
	@echo "Make sure you have ran 'make sync' first."
	@echo "Exporting dataset to be used for LLM embedding. Result will be ./export/0_dataset.txt"
	./venv/bin/dr.dataset > export/0_dataset.txt

export_statistics:
	@echo "Exporting statisticts. Result will be ./export/2_statistics.txt"
	cat export/0_dataset.txt | grep "Statistics: "
	cat export/0_dataset.txt | grep "Statistics: " > export/2_statistics.txt 


export_mentions:
	@echo "Exporting mentions. Result will be ./export/3_mentions.txt"
	cat export/0_dataset.txt | grep "times ment"
	cat export/0_dataset.txt | grep "times ment" > export/3_mentions.txt


merge_images:
	@echo "Merging images to one big image. Result will be ./export/1_graphs_compliation.png."
	./venv/bin/python merge_images.py


